org.apache.olingo.commons.api.edm

## Enum EdmPrimitiveTypeKind

- java.lang.Object
- - java.lang.Enum<EdmPrimitiveTypeKind>
  - - org.apache.olingo.commons.api.edm.EdmPrimitiveTypeKind

- All Implemented Interfaces:
    Serializable, Comparable<EdmPrimitiveTypeKind>

      public enum EdmPrimitiveTypeKind
      extends Enum<EdmPrimitiveTypeKind>

  Enumeration of all primitive type kinds.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Binary`
    `Boolean`
    `Byte`
    `Date`
    `DateTimeOffset`
    `Decimal`
    `Double`
    `Duration`
    `Geography`
    `GeographyCollection`
    `GeographyLineString`
    `GeographyMultiLineString`
    `GeographyMultiPoint`
    `GeographyMultiPolygon`
    `GeographyPoint`
    `GeographyPolygon`
    `Geometry`
    `GeometryCollection`
    `GeometryLineString`
    `GeometryMultiLineString`
    `GeometryMultiPoint`
    `GeometryMultiPolygon`
    `GeometryPoint`
    `GeometryPolygon`
    `Guid`
    `Int16`
    `Int32`
    `Int64`
    `SByte`
    `Single`
    `Stream`
    `String`
    `TimeOfDay`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdmPrimitiveTypeKind` | `getByName(String name)` Get a type kind by name.
    `FullQualifiedName` | `getFullQualifiedName()` Returns the `FullQualifiedName` for this type kind.
    `boolean` | `isGeospatial()` Checks if is a geospatial type.
    `static EdmPrimitiveTypeKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EdmPrimitiveTypeKind` | `valueOfFQN(FullQualifiedName fqn)` Gets the `EdmPrimitiveTypeKind` from a full-qualified type name.
    `static EdmPrimitiveTypeKind` | `valueOfFQN(String fqn)` Gets the `EdmPrimitiveTypeKind` from a full type expression (like `Edm.Int32`).
    `static EdmPrimitiveTypeKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Binary

          public static final EdmPrimitiveTypeKind Binary

    - #### Boolean

          public static final EdmPrimitiveTypeKind Boolean

    - #### Byte

          public static final EdmPrimitiveTypeKind Byte

    - #### SByte

          public static final EdmPrimitiveTypeKind SByte

    - #### Date

          public static final EdmPrimitiveTypeKind Date

    - #### DateTimeOffset

          public static final EdmPrimitiveTypeKind DateTimeOffset

    - #### TimeOfDay

          public static final EdmPrimitiveTypeKind TimeOfDay

    - #### Duration

          public static final EdmPrimitiveTypeKind Duration

    - #### Decimal

          public static final EdmPrimitiveTypeKind Decimal

    - #### Single

          public static final EdmPrimitiveTypeKind Single

    - #### Double

          public static final EdmPrimitiveTypeKind Double

    - #### Guid

          public static final EdmPrimitiveTypeKind Guid

    - #### Int16

          public static final EdmPrimitiveTypeKind Int16

    - #### Int32

          public static final EdmPrimitiveTypeKind Int32

    - #### Int64

          public static final EdmPrimitiveTypeKind Int64

    - #### String

          public static final EdmPrimitiveTypeKind String

    - #### Stream

          public static final EdmPrimitiveTypeKind Stream

    - #### Geography

          public static final EdmPrimitiveTypeKind Geography

    - #### GeographyPoint

          public static final EdmPrimitiveTypeKind GeographyPoint

    - #### GeographyLineString

          public static final EdmPrimitiveTypeKind GeographyLineString

    - #### GeographyPolygon

          public static final EdmPrimitiveTypeKind GeographyPolygon

    - #### GeographyMultiPoint

          public static final EdmPrimitiveTypeKind GeographyMultiPoint

    - #### GeographyMultiLineString

          public static final EdmPrimitiveTypeKind GeographyMultiLineString

    - #### GeographyMultiPolygon

          public static final EdmPrimitiveTypeKind GeographyMultiPolygon

    - #### GeographyCollection

          public static final EdmPrimitiveTypeKind GeographyCollection

    - #### Geometry

          public static final EdmPrimitiveTypeKind Geometry

    - #### GeometryPoint

          public static final EdmPrimitiveTypeKind GeometryPoint

    - #### GeometryLineString

          public static final EdmPrimitiveTypeKind GeometryLineString

    - #### GeometryPolygon

          public static final EdmPrimitiveTypeKind GeometryPolygon

    - #### GeometryMultiPoint

          public static final EdmPrimitiveTypeKind GeometryMultiPoint

    - #### GeometryMultiLineString

          public static final EdmPrimitiveTypeKind GeometryMultiLineString

    - #### GeometryMultiPolygon

          public static final EdmPrimitiveTypeKind GeometryMultiPolygon

    - #### GeometryCollection

          public static final EdmPrimitiveTypeKind GeometryCollection

  - ### Method Detail

    - #### values

          public static EdmPrimitiveTypeKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EdmPrimitiveTypeKind c : EdmPrimitiveTypeKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EdmPrimitiveTypeKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getByName

          public static EdmPrimitiveTypeKind getByName(String name)

      Get a type kind by name.
      Parameters:
        `name` - The name.
      Returns:
        The type kind or `null` if it does not exist.

    - #### isGeospatial

          public boolean isGeospatial()

      Checks if is a geospatial type.
      Returns:
        `true` if is geospatial type; `false` otherwise.

    - #### getFullQualifiedName

          public FullQualifiedName getFullQualifiedName()

      Returns the `FullQualifiedName` for this type kind.
      Returns:
        `FullQualifiedName`

    - #### valueOfFQN

          public static EdmPrimitiveTypeKind valueOfFQN(FullQualifiedName fqn)

      Gets the `EdmPrimitiveTypeKind` from a full-qualified type name.
      Parameters:
        `fqn` - full-qualified type name
      Returns:
        `EdmPrimitiveTypeKind` object

    - #### valueOfFQN

          public static EdmPrimitiveTypeKind valueOfFQN(String fqn)

      Gets the `EdmPrimitiveTypeKind` from a full type expression (like `Edm.Int32`).
      Parameters:
        `fqn` - String containing a full-qualified type name
      Returns:
        `EdmPrimitiveTypeKind` object

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.